
Foreman - Bug #33570

Unlocking a locked template does nothing

09/27/2021 07:09 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8798

  

Description

When I click on the unlock button in Provisioning templates, a modal window to confirm is opened but clicking the Confirm button

does nothing. No error in browser console, no entry in the production.log. It just disappears and the template is still locked. Like it

was cancel. This is likely a regression in nightly introduced by #32880

Associated revisions

Revision dff14832 - 09/29/2021 06:43 AM - Oleh Fedorenko

Fixes #33570 - Fix confirm action for unlock

History

#1 - 09/27/2021 11:06 AM - Oleh Fedorenko

- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

#2 - 09/27/2021 11:08 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8798 added

#3 - 09/29/2021 06:43 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 09/29/2021 07:01 AM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|dff14832cf4bc046000fd990e510b81e1b33a5ca.

#5 - 11/15/2021 04:46 PM - Amit Upadhye

- Category set to Templates
